DocsDevAppBar_Docs = """DevAppBar：继承自tkinter.Frame
介绍：一个应用程序栏，用于显示当前的状态，修改标题可以使用DevAppBar.title.configure(text='我是标题')
参数：master: 父组件, title: 标题, background: 背景颜色, foreground: 前景颜色
方法：show()：使用Pack默认显示在窗口的最上方"""


def DocsDevAppBar_Demo():
    from tkinter.ttk import Button
    from tkinter.messagebox import showinfo
    from tkdev import DevAppBar, DevToplevel
    Demo = DevToplevel(title="Docs - DevAppBar")
    AppBar = DevAppBar(Demo, title="Title", background="#141414", foreground="#eaecf0")
    AppBar_Print = Button(AppBar, text="ℹ", command=lambda: showinfo("你好", "这是一条信息"), style="Accent.TButton")
    AppBar_Print.pack(side="right", padx=5, pady=5, ipadx=2)
    AppBar.show()
